Skip to main content
GET
/
api
/
public
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{lead_id}
Get a single lead
curl --request GET \
  --url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id} \
  --header 'X-API-Key: <api-key>'
{
  "lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "company": "<string>",
  "status": "<string>",
  "last_contacted_at": "2023-11-07T05:31:56Z",
  "opened_at": "2023-11-07T05:31:56Z",
  "replied_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "custom_fields": {},
  "sequence_step": 0,
  "email_opened": false,
  "email_replied": false,
  "unsubscribed": false,
  "delivery_status": "<string>",
  "email_interactions": [
    {
      "email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequence_step": 123,
      "subject": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "opened_at": "2023-11-07T05:31:56Z",
      "replied_at": "2023-11-07T05:31:56Z",
      "inbox_email": "<string>",
      "sent": true,
      "opened": true,
      "bounced": true
    }
  ],
  "replies": [
    {
      "reply_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject": "<string>",
      "received_at": "2023-11-07T05:31:56Z",
      "body_preview": "<string>",
      "is_auto_reply": true,
      "is_unsubscribe": true
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

campaign_id
string<uuid>
required
lead_id
string<uuid>
required

Response

Lead retrieved successfully

Detailed response schema for individual lead with interaction history.

lead_id
string<uuid>
required

Lead ID

email
string
required

Lead email address

first_name
string | null
required

First name

last_name
string | null
required

Last name

company
string | null
required

Company name

status
string
required

Lead status

last_contacted_at
string<date-time> | null
required

Last contact timestamp

opened_at
string<date-time> | null
required

Email opened timestamp

replied_at
string<date-time> | null
required

Reply timestamp

created_at
string<date-time>
required

Lead creation timestamp

custom_fields
Custom Fields · object

Custom lead fields

sequence_step
integer
default:0

Current sequence step

email_opened
boolean
default:false

Whether email was opened

email_replied
boolean
default:false

Whether lead replied

unsubscribed
boolean
default:false

Whether lead unsubscribed

delivery_status
string | null

Delivery status from Azure (latest email)

email_interactions
EmailInteractionResponse · object[]

List of email interactions

replies
ReplyResponse · object[]

List of replies from the lead